declare const translations: {
    en: {
        common: {
            global: {
                cancel: string;
                ok: string;
                unknown: string;
                delete: string;
                logo: string;
            };
        };
        entities: {};
        components: {
            nerdAppsMenu: {
                home: string;
                app_icon_alt: string;
            };
            nerdDataGrid: {
                export: string;
                delete_rows: string;
            };
            nerdConfirm: {
                are_you_sure: string;
                confirm: string;
                ask_confirmation: string;
            };
            nerdPagination: {
                next: string;
                first: string;
                prev: string;
                previous: string;
                page: string;
            };
            nerdDateTimePicker: {
                time: string;
                start_time: string;
                end_time: string;
                invalid_time: string;
            };
            nerdDatePicker: {
                date: string;
                start_date: string;
                end_date: string;
                invalid_date: string;
            };
            nerdDateTimeRangePicker: {
                all_day: string;
                time_zone: string;
                separate_time_zones: string;
                swap_time_zones: string;
                use_current_time_zone: string;
                end_date_later_start_date: string;
                start_tz: string;
                end_tz: string;
            };
            nerdPhoneField: {
                invalid_country: string;
                invalid_length: string;
                invalid_phone_number: string;
                too_long_phone_number: string;
                too_short_phone_number: string;
                select_country: string;
            };
            nerdFileUpload: {
                browse_files: string;
            };
            nerdFileUploadWrapper: {
                multiple_fields: string;
                single_field: string;
            };
            nerdPaginationFooter: {
                items_per_page: string;
                items: string;
                previous_page: string;
                next_page: string;
            };
            nerdAdvancedSearch: {
                enter: string;
                go: string;
                close_search: string;
                search: string;
                save_as_preset: string;
                expand: string;
                reduce: string;
                uses_search_metadata: string;
                turn_dev_mode_off: string;
                dev_mode: string;
                clear_all: string;
                add_new_field: string;
                description: string;
                close: string;
                remove_this_field: string;
                change_comparison: string;
                type_here: string;
            };
            nerdFeedback: {
                feedback: string;
                name: string;
                email: string;
                placeholder: string;
                send: string;
                feedback_description: string;
                feedback_description_with_error: string;
                comments: string;
                attachment: string;
            };
            nerdNotifier: {
                report_issue: string;
            };
        };
    };
};
export default translations;
