import { DatePickerProps } from "@mui/x-date-pickers-pro";
import { DateTime } from "luxon";
import { ReactElement, ReactNode } from "react";
import { FormLabelProps, InputProps } from "@mui/joy";
export interface NerdDatePickerProps {
    value: DateTime | null;
    onChange: (newDate: DateTime | null) => void;
    inputProps?: InputProps;
    formLabelProps?: FormLabelProps;
    helperText?: ReactNode;
    label?: ReactNode;
    datePickerProps?: Partial<DatePickerProps<DateTime | string, DateTime | string>>;
    localeStringFormat?: Intl.DateTimeFormatOptions;
    openCalendar?: boolean;
    setOpenCalendar?: (state: boolean) => void;
}
/**
 *
 * @param {NerdDatePickerProps} props Props
 * @returns {ReactElement} NerdDateTimePicker
 */
export default function NerdDatePicker(props: NerdDatePickerProps): ReactElement;
