import { GridRenderEditCellParams } from "@mui/x-data-grid-pro";
import { GridApiPro } from "@mui/x-data-grid-pro/models/gridApiPro";
import { MutableRefObject, ReactElement } from "react";
import { NerdCurrencyFieldProps } from "./nerdCurrencyField";
/**
 *
 * @param {object} props Component props
 * @param {GridRenderEditCellParams} props.cellParams Cell Params
 * @param {MutableRefObject<GridApiPro>} props.apiRef Mui DataGrid ApiRef
 * @param {NerdCurrencyFieldProps} props.nerdCurrencyFieldProps NerdCurrencyFieldProps
 * @returns {ReactElement} NerdCurrencyFieldDataGridAdapter
 */
export declare function NerdCurrencyFieldDataGridAdapter(props: {
    cellParams: GridRenderEditCellParams;
    apiRef: MutableRefObject<GridApiPro>;
    nerdCurrencyFieldProps?: NerdCurrencyFieldProps;
}): ReactElement;
