import { ReactElement } from "react";
import { DefaultColorScheme } from "@mui/joy/styles/types";
import { ColorSystem } from "@mui/material/styles/experimental_extendTheme";
export type Theme = {
    cssVarPrefix?: string | undefined;
    colorSchemes: Record<DefaultColorScheme, ColorSystem>;
};
export interface NerdMarkdownEditorProps {
    value: string;
    onChange: (value: string) => void;
    appTheme: Theme;
    subSectionID: number;
}
/**
 *
 * @param {NerdMarkdownEditorProps} props Component props
 * @returns {ReactElement} NerdMarkdownEditor
 */
export declare function NerdMarkdownEditor(props: NerdMarkdownEditorProps): ReactElement;
